/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
var DomainChartDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(DomainChartDescription, _super);
    function DomainChartDescription() {
        var _this = _super.call(this) || this;
        _this.eg = 0;
        _this.et = 0;
        _this.eu = 0;
        _this.ev = 0;
        _this.es = 0;
        _this.eo = 0;
        _this.eq = 0;
        _this.ep = 0;
        _this.en = 0;
        _this.ld = null;
        _this.lg = null;
        _this.ed = 0;
        _this.ew = 0;
        _this.em = 0;
        _this.cm = 0;
        _this.h4 = 0;
        _this.lj = null;
        _this.le = null;
        _this.lh = null;
        _this.i0 = null;
        _this.c8 = 0;
        _this.c9 = 0;
        _this.cs = 0;
        _this.ct = 0;
        _this.iy = null;
        _this.iz = null;
        _this.bm = false;
        _this.p = null;
        _this.m = null;
        _this.o = null;
        _this.l = null;
        _this.j9 = null;
        _this.h0 = 0;
        _this.h1 = 0;
        _this.kb = null;
        _this.ka = null;
        _this.bn = false;
        _this.kc = null;
        _this.q = null;
        _this.dx = 0;
        _this.dy = 0;
        _this.dz = 0;
        _this.d0 = 0;
        _this.bo = false;
        _this.kh = null;
        _this.bp = false;
        _this.d2 = 0;
        _this.d3 = 0;
        _this.d4 = 0;
        _this.d5 = 0;
        _this.kd = null;
        _this.ke = null;
        _this.d1 = 0;
        _this.kf = null;
        _this.kg = null;
        _this.i3 = null;
        _this.n = null;
        _this.i1 = null;
        _this.i2 = null;
        _this.i4 = null;
        _this.i5 = null;
        _this.i6 = null;
        _this.cz = 0;
        _this.c0 = 0;
        _this.c1 = 0;
        _this.c2 = 0;
        _this.cu = 0;
        _this.cv = 0;
        _this.cw = 0;
        _this.cx = 0;
        _this.bl = false;
        _this.i7 = null;
        _this.cy = 0;
        _this.i8 = null;
        _this.i9 = null;
        _this.jl = null;
        _this.jm = null;
        _this.df = 0;
        _this.jn = null;
        _this.jo = null;
        _this.jp = null;
        _this.jk = null;
        _this.dg = 0;
        _this.dh = 0;
        _this.di = 0;
        _this.dj = 0;
        _this.db = 0;
        _this.dc = 0;
        _this.dd = 0;
        _this.de = 0;
        _this.jv = null;
        _this.jw = null;
        _this.dl = 0;
        _this.jx = null;
        _this.jy = null;
        _this.jf = null;
        _this.jg = null;
        _this.jh = null;
        _this.da = 0;
        _this.ji = null;
        _this.jj = null;
        _this.jq = null;
        _this.jr = null;
        _this.js = null;
        _this.dk = 0;
        _this.jt = null;
        _this.ju = null;
        _this.co = 0;
        _this.cp = 0;
        _this.cq = 0;
        _this.cr = 0;
        _this.ix = null;
        _this.j3 = null;
        _this.j4 = null;
        _this.j5 = null;
        _this.dt = 0;
        _this.du = 0;
        _this.dv = 0;
        _this.dw = 0;
        _this.j6 = null;
        _this.ds = 0;
        _this.j7 = null;
        _this.j8 = null;
        _this.dn = 0;
        _this.dp = 0;
        _this.dq = 0;
        _this.dr = 0;
        _this.jz = null;
        _this.j0 = null;
        _this.dm = 0;
        _this.j1 = null;
        _this.j2 = null;
        _this.ja = null;
        _this.jb = null;
        _this.c4 = 0;
        _this.c5 = 0;
        _this.c6 = 0;
        _this.c7 = 0;
        _this.jc = null;
        _this.c3 = 0;
        _this.jd = null;
        _this.je = null;
        _this.ae = null;
        _this.u = null;
        _this.t = null;
        _this.s = null;
        _this.af = null;
        _this.y = null;
        _this.x = null;
        _this.w = null;
        _this.z = null;
        _this.ks = null;
        _this.kk = null;
        _this.kr = null;
        _this.kt = null;
        _this.iw = null;
        _this.bb = null;
        _this.v = null;
        _this.r = null;
        _this.j = null;
        _this.ad = null;
        _this.h = null;
        _this.i = null;
        _this.kx = null;
        _this.bs = false;
        _this.bu = false;
        _this.bw = false;
        _this.by = false;
        _this.bt = false;
        _this.bd = null;
        _this.im = null;
        _this.lb = null;
        _this.lf = null;
        _this.lc = null;
        _this.ll = null;
        _this.el = 0;
        _this.er = 0;
        _this.k1 = null;
        _this.k0 = null;
        _this.kz = null;
        _this.ee = 0;
        _this.ef = 0;
        _this.ac = null;
        _this.ky = null;
        _this.aa = null;
        _this.ab = null;
        _this.h3 = 0;
        _this.cl = 0;
        _this.bg = false;
        _this.ag = null;
        _this.lk = null;
        _this.ex = 0;
        _this.bf = false;
        _this.ei = 0;
        _this.ek = 0;
        _this.ej = 0;
        _this.eh = 0;
        _this.io = null;
        _this.k3 = null;
        _this.k4 = null;
        _this.km = null;
        _this.kl = null;
        _this.ku = null;
        _this.kw = null;
        _this.kv = null;
        _this.h5 = 0;
        _this.li = null;
        _this.it = null;
        _this.bk = false;
        _this.iv = null;
        _this.cn = 0;
        _this.iu = null;
        _this.bj = false;
        _this.ip = null;
        _this.ir = null;
        _this.iq = null;
        _this.is = null;
        _this.hy = 0;
        _this.hz = 0;
        _this.bv = false;
        _this.bx = false;
        _this.bq = false;
        _this.ki = null;
        _this.kj = null;
        _this.h2 = 0;
        _this.bi = false;
        _this.bh = false;
        _this.ih = null;
        _this.k = null;
        _this.ik = null;
        _this.il = null;
        _this.ii = null;
        _this.ig = null;
        _this.ah = null;
        _this.ai = null;
        _this.ey = 0;
        _this.ko = null;
        _this.ln = null;
        _this.kq = null;
        _this.lp = null;
        _this.kn = null;
        _this.kp = null;
        _this.ea = 0;
        _this.d9 = 0;
        _this.d6 = 0;
        _this.d7 = 0;
        _this.d8 = 0;
        _this.ec = 0;
        _this.eb = 0;
        _this.br = false;
        _this.lm = null;
        _this.lo = null;
        _this.e2 = 0;
        _this.e1 = 0;
        _this.ez = 0;
        _this.e5 = 0;
        _this.e0 = 0;
        _this.e4 = 0;
        _this.e3 = 0;
        _this.bz = false;
        _this.e7 = 0;
        _this.e6 = 0;
        _this.e9 = 0;
        _this.e8 = 0;
        _this.k2 = null;
        _this.la = null;
        _this.k6 = null;
        _this.k7 = null;
        _this.k8 = null;
        _this.k5 = null;
        _this.k9 = null;
        _this.ij = null;
        _this.ie = null;
        return _this;
    }
    DomainChartDescription.prototype.get_type = function () {
        return "DomainChart";
    };
    Object.defineProperty(DomainChartDescription.prototype, "type", {
        get: function () {
            return this.get_type();
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "pixelScalingRatio", {
        get: function () {
            return this.eg;
        },
        set: function (a) {
            this.eg = a;
            this.g("PixelScalingRatio");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "titleLeftMargin", {
        get: function () {
            return this.et;
        },
        set: function (a) {
            this.et = a;
            this.g("TitleLeftMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "titleRightMargin", {
        get: function () {
            return this.eu;
        },
        set: function (a) {
            this.eu = a;
            this.g("TitleRightMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "titleTopMargin", {
        get: function () {
            return this.ev;
        },
        set: function (a) {
            this.ev = a;
            this.g("TitleTopMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "titleBottomMargin", {
        get: function () {
            return this.es;
        },
        set: function (a) {
            this.es = a;
            this.g("TitleBottomMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "subtitleLeftMargin", {
        get: function () {
            return this.eo;
        },
        set: function (a) {
            this.eo = a;
            this.g("SubtitleLeftMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "subtitleTopMargin", {
        get: function () {
            return this.eq;
        },
        set: function (a) {
            this.eq = a;
            this.g("SubtitleTopMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "subtitleRightMargin", {
        get: function () {
            return this.ep;
        },
        set: function (a) {
            this.ep = a;
            this.g("SubtitleRightMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "subtitleBottomMargin", {
        get: function () {
            return this.en;
        },
        set: function (a) {
            this.en = a;
            this.g("SubtitleBottomMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "subtitleTextColor", {
        get: function () {
            return this.ld;
        },
        set: function (a) {
            this.ld = a;
            this.g("SubtitleTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "titleTextColor", {
        get: function () {
            return this.lg;
        },
        set: function (a) {
            this.lg = a;
            this.g("TitleTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "leftMargin", {
        get: function () {
            return this.ed;
        },
        set: function (a) {
            this.ed = a;
            this.g("LeftMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "topMargin", {
        get: function () {
            return this.ew;
        },
        set: function (a) {
            this.ew = a;
            this.g("TopMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "rightMargin", {
        get: function () {
            return this.em;
        },
        set: function (a) {
            this.em = a;
            this.g("RightMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "bottomMargin", {
        get: function () {
            return this.cm;
        },
        set: function (a) {
            this.cm = a;
            this.g("BottomMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "transitionDuration", {
        get: function () {
            return this.h4;
        },
        set: function (a) {
            this.h4 = a;
            this.g("TransitionDuration");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "transitionEasingFunctionRef", {
        get: function () {
            return this.lj;
        },
        set: function (a) {
            this.lj = a;
            this.g("TransitionEasingFunctionRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "subtitleTextStyle", {
        get: function () {
            return this.le;
        },
        set: function (a) {
            this.le = a;
            this.g("SubtitleTextStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "titleTextStyle", {
        get: function () {
            return this.lh;
        },
        set: function (a) {
            this.lh = a;
            this.g("TitleTextStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipGroupingMode", {
        get: function () {
            return this.i0;
        },
        set: function (a) {
            this.i0 = a;
            this.g("DataToolTipGroupingMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipPositionOffsetX", {
        get: function () {
            return this.c8;
        },
        set: function (a) {
            this.c8 = a;
            this.g("DataToolTipPositionOffsetX");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipPositionOffsetY", {
        get: function () {
            return this.c9;
        },
        set: function (a) {
            this.c9 = a;
            this.g("DataToolTipPositionOffsetY");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipDefaultPositionOffsetX", {
        get: function () {
            return this.cs;
        },
        set: function (a) {
            this.cs = a;
            this.g("DataToolTipDefaultPositionOffsetX");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipDefaultPositionOffsetY", {
        get: function () {
            return this.ct;
        },
        set: function (a) {
            this.ct = a;
            this.g("DataToolTipDefaultPositionOffsetY");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipGroupedPositionModeX", {
        get: function () {
            return this.iy;
        },
        set: function (a) {
            this.iy = a;
            this.g("DataToolTipGroupedPositionModeX");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipGroupedPositionModeY", {
        get: function () {
            return this.iz;
        },
        set: function (a) {
            this.iz = a;
            this.g("DataToolTipGroupedPositionModeY");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipShouldUpdateWhenSeriesDataChanges", {
        get: function () {
            return this.bm;
        },
        set: function (a) {
            this.bm = a;
            this.g("DataToolTipShouldUpdateWhenSeriesDataChanges");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipIncludedSeries", {
        get: function () {
            return this.p;
        },
        set: function (a) {
            this.p = a;
            this.g("DataToolTipIncludedSeries");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipExcludedSeries", {
        get: function () {
            return this.m;
        },
        set: function (a) {
            this.m = a;
            this.g("DataToolTipExcludedSeries");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipIncludedColumns", {
        get: function () {
            return this.o;
        },
        set: function (a) {
            this.o = a;
            this.g("DataToolTipIncludedColumns");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipExcludedColumns", {
        get: function () {
            return this.l;
        },
        set: function (a) {
            this.l = a;
            this.g("DataToolTipExcludedColumns");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueFormatAbbreviation", {
        get: function () {
            return this.j9;
        },
        set: function (a) {
            this.j9 = a;
            this.g("DataToolTipValueFormatAbbreviation");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueFormatMaxFractions", {
        get: function () {
            return this.h0;
        },
        set: function (a) {
            this.h0 = a;
            this.g("DataToolTipValueFormatMaxFractions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueFormatMinFractions", {
        get: function () {
            return this.h1;
        },
        set: function (a) {
            this.h1 = a;
            this.g("DataToolTipValueFormatMinFractions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueFormatMode", {
        get: function () {
            return this.kb;
        },
        set: function (a) {
            this.kb = a;
            this.g("DataToolTipValueFormatMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueFormatCulture", {
        get: function () {
            return this.ka;
        },
        set: function (a) {
            this.ka = a;
            this.g("DataToolTipValueFormatCulture");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueFormatUseGrouping", {
        get: function () {
            return this.bn;
        },
        set: function (a) {
            this.bn = a;
            this.g("DataToolTipValueFormatUseGrouping");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueFormatString", {
        get: function () {
            return this.kc;
        },
        set: function (a) {
            this.kc = a;
            this.g("DataToolTipValueFormatString");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueFormatSpecifiers", {
        get: function () {
            return this.q;
        },
        set: function (a) {
            this.q = a;
            this.g("DataToolTipValueFormatSpecifiers");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueRowMarginBottom", {
        get: function () {
            return this.dx;
        },
        set: function (a) {
            this.dx = a;
            this.g("DataToolTipValueRowMarginBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueRowMarginLeft", {
        get: function () {
            return this.dy;
        },
        set: function (a) {
            this.dy = a;
            this.g("DataToolTipValueRowMarginLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueRowMarginRight", {
        get: function () {
            return this.dz;
        },
        set: function (a) {
            this.dz = a;
            this.g("DataToolTipValueRowMarginRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueRowMarginTop", {
        get: function () {
            return this.d0;
        },
        set: function (a) {
            this.d0 = a;
            this.g("DataToolTipValueRowMarginTop");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueRowVisible", {
        get: function () {
            return this.bo;
        },
        set: function (a) {
            this.bo = a;
            this.g("DataToolTipValueRowVisible");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueTextWhenMissingData", {
        get: function () {
            return this.kh;
        },
        set: function (a) {
            this.kh = a;
            this.g("DataToolTipValueTextWhenMissingData");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueTextUseSeriesColors", {
        get: function () {
            return this.bp;
        },
        set: function (a) {
            this.bp = a;
            this.g("DataToolTipValueTextUseSeriesColors");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueTextMarginBottom", {
        get: function () {
            return this.d2;
        },
        set: function (a) {
            this.d2 = a;
            this.g("DataToolTipValueTextMarginBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueTextMarginLeft", {
        get: function () {
            return this.d3;
        },
        set: function (a) {
            this.d3 = a;
            this.g("DataToolTipValueTextMarginLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueTextMarginRight", {
        get: function () {
            return this.d4;
        },
        set: function (a) {
            this.d4 = a;
            this.g("DataToolTipValueTextMarginRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueTextMarginTop", {
        get: function () {
            return this.d5;
        },
        set: function (a) {
            this.d5 = a;
            this.g("DataToolTipValueTextMarginTop");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueTextColor", {
        get: function () {
            return this.kd;
        },
        set: function (a) {
            this.kd = a;
            this.g("DataToolTipValueTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueTextFontFamily", {
        get: function () {
            return this.ke;
        },
        set: function (a) {
            this.ke = a;
            this.g("DataToolTipValueTextFontFamily");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueTextFontSize", {
        get: function () {
            return this.d1;
        },
        set: function (a) {
            this.d1 = a;
            this.g("DataToolTipValueTextFontSize");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueTextFontStyle", {
        get: function () {
            return this.kf;
        },
        set: function (a) {
            this.kf = a;
            this.g("DataToolTipValueTextFontStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipValueTextFontWeight", {
        get: function () {
            return this.kg;
        },
        set: function (a) {
            this.kg = a;
            this.g("DataToolTipValueTextFontWeight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderFormatString", {
        get: function () {
            return this.i3;
        },
        set: function (a) {
            this.i3 = a;
            this.g("DataToolTipHeaderFormatString");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderFormatSpecifiers", {
        get: function () {
            return this.n;
        },
        set: function (a) {
            this.n = a;
            this.g("DataToolTipHeaderFormatSpecifiers");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderFormatCulture", {
        get: function () {
            return this.i1;
        },
        set: function (a) {
            this.i1 = a;
            this.g("DataToolTipHeaderFormatCulture");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderFormatDate", {
        get: function () {
            return this.i2;
        },
        set: function (a) {
            this.i2 = a;
            this.g("DataToolTipHeaderFormatDate");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderFormatTime", {
        get: function () {
            return this.i4;
        },
        set: function (a) {
            this.i4 = a;
            this.g("DataToolTipHeaderFormatTime");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderText", {
        get: function () {
            return this.i5;
        },
        set: function (a) {
            this.i5 = a;
            this.g("DataToolTipHeaderText");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderTextColor", {
        get: function () {
            return this.i6;
        },
        set: function (a) {
            this.i6 = a;
            this.g("DataToolTipHeaderTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderTextMarginBottom", {
        get: function () {
            return this.cz;
        },
        set: function (a) {
            this.cz = a;
            this.g("DataToolTipHeaderTextMarginBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderTextMarginLeft", {
        get: function () {
            return this.c0;
        },
        set: function (a) {
            this.c0 = a;
            this.g("DataToolTipHeaderTextMarginLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderTextMarginRight", {
        get: function () {
            return this.c1;
        },
        set: function (a) {
            this.c1 = a;
            this.g("DataToolTipHeaderTextMarginRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderTextMarginTop", {
        get: function () {
            return this.c2;
        },
        set: function (a) {
            this.c2 = a;
            this.g("DataToolTipHeaderTextMarginTop");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderRowMarginBottom", {
        get: function () {
            return this.cu;
        },
        set: function (a) {
            this.cu = a;
            this.g("DataToolTipHeaderRowMarginBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderRowMarginLeft", {
        get: function () {
            return this.cv;
        },
        set: function (a) {
            this.cv = a;
            this.g("DataToolTipHeaderRowMarginLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderRowMarginRight", {
        get: function () {
            return this.cw;
        },
        set: function (a) {
            this.cw = a;
            this.g("DataToolTipHeaderRowMarginRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderRowMarginTop", {
        get: function () {
            return this.cx;
        },
        set: function (a) {
            this.cx = a;
            this.g("DataToolTipHeaderRowMarginTop");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderRowVisible", {
        get: function () {
            return this.bl;
        },
        set: function (a) {
            this.bl = a;
            this.g("DataToolTipHeaderRowVisible");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderTextFontFamily", {
        get: function () {
            return this.i7;
        },
        set: function (a) {
            this.i7 = a;
            this.g("DataToolTipHeaderTextFontFamily");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderTextFontSize", {
        get: function () {
            return this.cy;
        },
        set: function (a) {
            this.cy = a;
            this.g("DataToolTipHeaderTextFontSize");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderTextFontStyle", {
        get: function () {
            return this.i8;
        },
        set: function (a) {
            this.i8 = a;
            this.g("DataToolTipHeaderTextFontStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipHeaderTextFontWeight", {
        get: function () {
            return this.i9;
        },
        set: function (a) {
            this.i9 = a;
            this.g("DataToolTipHeaderTextFontWeight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryTitleTextColor", {
        get: function () {
            return this.jl;
        },
        set: function (a) {
            this.jl = a;
            this.g("DataToolTipSummaryTitleTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryTitleTextFontFamily", {
        get: function () {
            return this.jm;
        },
        set: function (a) {
            this.jm = a;
            this.g("DataToolTipSummaryTitleTextFontFamily");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryTitleTextFontSize", {
        get: function () {
            return this.df;
        },
        set: function (a) {
            this.df = a;
            this.g("DataToolTipSummaryTitleTextFontSize");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryTitleTextFontStyle", {
        get: function () {
            return this.jn;
        },
        set: function (a) {
            this.jn = a;
            this.g("DataToolTipSummaryTitleTextFontStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryTitleTextFontWeight", {
        get: function () {
            return this.jo;
        },
        set: function (a) {
            this.jo = a;
            this.g("DataToolTipSummaryTitleTextFontWeight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryType", {
        get: function () {
            return this.jp;
        },
        set: function (a) {
            this.jp = a;
            this.g("DataToolTipSummaryType");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryTitleText", {
        get: function () {
            return this.jk;
        },
        set: function (a) {
            this.jk = a;
            this.g("DataToolTipSummaryTitleText");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryTitleTextMarginBottom", {
        get: function () {
            return this.dg;
        },
        set: function (a) {
            this.dg = a;
            this.g("DataToolTipSummaryTitleTextMarginBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryTitleTextMarginLeft", {
        get: function () {
            return this.dh;
        },
        set: function (a) {
            this.dh = a;
            this.g("DataToolTipSummaryTitleTextMarginLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryTitleTextMarginRight", {
        get: function () {
            return this.di;
        },
        set: function (a) {
            this.di = a;
            this.g("DataToolTipSummaryTitleTextMarginRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryTitleTextMarginTop", {
        get: function () {
            return this.dj;
        },
        set: function (a) {
            this.dj = a;
            this.g("DataToolTipSummaryTitleTextMarginTop");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryRowMarginBottom", {
        get: function () {
            return this.db;
        },
        set: function (a) {
            this.db = a;
            this.g("DataToolTipSummaryRowMarginBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryRowMarginLeft", {
        get: function () {
            return this.dc;
        },
        set: function (a) {
            this.dc = a;
            this.g("DataToolTipSummaryRowMarginLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryRowMarginRight", {
        get: function () {
            return this.dd;
        },
        set: function (a) {
            this.dd = a;
            this.g("DataToolTipSummaryRowMarginRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryRowMarginTop", {
        get: function () {
            return this.de;
        },
        set: function (a) {
            this.de = a;
            this.g("DataToolTipSummaryRowMarginTop");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryValueTextColor", {
        get: function () {
            return this.jv;
        },
        set: function (a) {
            this.jv = a;
            this.g("DataToolTipSummaryValueTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryValueTextFontFamily", {
        get: function () {
            return this.jw;
        },
        set: function (a) {
            this.jw = a;
            this.g("DataToolTipSummaryValueTextFontFamily");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryValueTextFontSize", {
        get: function () {
            return this.dl;
        },
        set: function (a) {
            this.dl = a;
            this.g("DataToolTipSummaryValueTextFontSize");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryValueTextFontStyle", {
        get: function () {
            return this.jx;
        },
        set: function (a) {
            this.jx = a;
            this.g("DataToolTipSummaryValueTextFontStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryValueTextFontWeight", {
        get: function () {
            return this.jy;
        },
        set: function (a) {
            this.jy = a;
            this.g("DataToolTipSummaryValueTextFontWeight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryLabelText", {
        get: function () {
            return this.jf;
        },
        set: function (a) {
            this.jf = a;
            this.g("DataToolTipSummaryLabelText");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryLabelTextColor", {
        get: function () {
            return this.jg;
        },
        set: function (a) {
            this.jg = a;
            this.g("DataToolTipSummaryLabelTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryLabelTextFontFamily", {
        get: function () {
            return this.jh;
        },
        set: function (a) {
            this.jh = a;
            this.g("DataToolTipSummaryLabelTextFontFamily");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryLabelTextFontSize", {
        get: function () {
            return this.da;
        },
        set: function (a) {
            this.da = a;
            this.g("DataToolTipSummaryLabelTextFontSize");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryLabelTextFontStyle", {
        get: function () {
            return this.ji;
        },
        set: function (a) {
            this.ji = a;
            this.g("DataToolTipSummaryLabelTextFontStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryLabelTextFontWeight", {
        get: function () {
            return this.jj;
        },
        set: function (a) {
            this.jj = a;
            this.g("DataToolTipSummaryLabelTextFontWeight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryUnitsText", {
        get: function () {
            return this.jq;
        },
        set: function (a) {
            this.jq = a;
            this.g("DataToolTipSummaryUnitsText");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryUnitsTextColor", {
        get: function () {
            return this.jr;
        },
        set: function (a) {
            this.jr = a;
            this.g("DataToolTipSummaryUnitsTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryUnitsTextFontFamily", {
        get: function () {
            return this.js;
        },
        set: function (a) {
            this.js = a;
            this.g("DataToolTipSummaryUnitsTextFontFamily");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryUnitsTextFontSize", {
        get: function () {
            return this.dk;
        },
        set: function (a) {
            this.dk = a;
            this.g("DataToolTipSummaryUnitsTextFontSize");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryUnitsTextFontStyle", {
        get: function () {
            return this.jt;
        },
        set: function (a) {
            this.jt = a;
            this.g("DataToolTipSummaryUnitsTextFontStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipSummaryUnitsTextFontWeight", {
        get: function () {
            return this.ju;
        },
        set: function (a) {
            this.ju = a;
            this.g("DataToolTipSummaryUnitsTextFontWeight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipBadgeMarginBottom", {
        get: function () {
            return this.co;
        },
        set: function (a) {
            this.co = a;
            this.g("DataToolTipBadgeMarginBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipBadgeMarginLeft", {
        get: function () {
            return this.cp;
        },
        set: function (a) {
            this.cp = a;
            this.g("DataToolTipBadgeMarginLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipBadgeMarginRight", {
        get: function () {
            return this.cq;
        },
        set: function (a) {
            this.cq = a;
            this.g("DataToolTipBadgeMarginRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipBadgeMarginTop", {
        get: function () {
            return this.cr;
        },
        set: function (a) {
            this.cr = a;
            this.g("DataToolTipBadgeMarginTop");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipBadgeShape", {
        get: function () {
            return this.ix;
        },
        set: function (a) {
            this.ix = a;
            this.g("DataToolTipBadgeShape");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipUnitsDisplayMode", {
        get: function () {
            return this.j3;
        },
        set: function (a) {
            this.j3 = a;
            this.g("DataToolTipUnitsDisplayMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipUnitsText", {
        get: function () {
            return this.j4;
        },
        set: function (a) {
            this.j4 = a;
            this.g("DataToolTipUnitsText");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipUnitsTextColor", {
        get: function () {
            return this.j5;
        },
        set: function (a) {
            this.j5 = a;
            this.g("DataToolTipUnitsTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipUnitsTextMarginBottom", {
        get: function () {
            return this.dt;
        },
        set: function (a) {
            this.dt = a;
            this.g("DataToolTipUnitsTextMarginBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipUnitsTextMarginLeft", {
        get: function () {
            return this.du;
        },
        set: function (a) {
            this.du = a;
            this.g("DataToolTipUnitsTextMarginLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipUnitsTextMarginRight", {
        get: function () {
            return this.dv;
        },
        set: function (a) {
            this.dv = a;
            this.g("DataToolTipUnitsTextMarginRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipUnitsTextMarginTop", {
        get: function () {
            return this.dw;
        },
        set: function (a) {
            this.dw = a;
            this.g("DataToolTipUnitsTextMarginTop");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipUnitsTextFontFamily", {
        get: function () {
            return this.j6;
        },
        set: function (a) {
            this.j6 = a;
            this.g("DataToolTipUnitsTextFontFamily");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipUnitsTextFontSize", {
        get: function () {
            return this.ds;
        },
        set: function (a) {
            this.ds = a;
            this.g("DataToolTipUnitsTextFontSize");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipUnitsTextFontStyle", {
        get: function () {
            return this.j7;
        },
        set: function (a) {
            this.j7 = a;
            this.g("DataToolTipUnitsTextFontStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipUnitsTextFontWeight", {
        get: function () {
            return this.j8;
        },
        set: function (a) {
            this.j8 = a;
            this.g("DataToolTipUnitsTextFontWeight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipTitleTextMarginBottom", {
        get: function () {
            return this.dn;
        },
        set: function (a) {
            this.dn = a;
            this.g("DataToolTipTitleTextMarginBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipTitleTextMarginLeft", {
        get: function () {
            return this.dp;
        },
        set: function (a) {
            this.dp = a;
            this.g("DataToolTipTitleTextMarginLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipTitleTextMarginRight", {
        get: function () {
            return this.dq;
        },
        set: function (a) {
            this.dq = a;
            this.g("DataToolTipTitleTextMarginRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipTitleTextMarginTop", {
        get: function () {
            return this.dr;
        },
        set: function (a) {
            this.dr = a;
            this.g("DataToolTipTitleTextMarginTop");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipTitleTextColor", {
        get: function () {
            return this.jz;
        },
        set: function (a) {
            this.jz = a;
            this.g("DataToolTipTitleTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipTitleTextFontFamily", {
        get: function () {
            return this.j0;
        },
        set: function (a) {
            this.j0 = a;
            this.g("DataToolTipTitleTextFontFamily");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipTitleTextFontSize", {
        get: function () {
            return this.dm;
        },
        set: function (a) {
            this.dm = a;
            this.g("DataToolTipTitleTextFontSize");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipTitleTextFontStyle", {
        get: function () {
            return this.j1;
        },
        set: function (a) {
            this.j1 = a;
            this.g("DataToolTipTitleTextFontStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipTitleTextFontWeight", {
        get: function () {
            return this.j2;
        },
        set: function (a) {
            this.j2 = a;
            this.g("DataToolTipTitleTextFontWeight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipLabelDisplayMode", {
        get: function () {
            return this.ja;
        },
        set: function (a) {
            this.ja = a;
            this.g("DataToolTipLabelDisplayMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipLabelTextColor", {
        get: function () {
            return this.jb;
        },
        set: function (a) {
            this.jb = a;
            this.g("DataToolTipLabelTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipLabelTextMarginBottom", {
        get: function () {
            return this.c4;
        },
        set: function (a) {
            this.c4 = a;
            this.g("DataToolTipLabelTextMarginBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipLabelTextMarginLeft", {
        get: function () {
            return this.c5;
        },
        set: function (a) {
            this.c5 = a;
            this.g("DataToolTipLabelTextMarginLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipLabelTextMarginRight", {
        get: function () {
            return this.c6;
        },
        set: function (a) {
            this.c6 = a;
            this.g("DataToolTipLabelTextMarginRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipLabelTextMarginTop", {
        get: function () {
            return this.c7;
        },
        set: function (a) {
            this.c7 = a;
            this.g("DataToolTipLabelTextMarginTop");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipLabelTextFontFamily", {
        get: function () {
            return this.jc;
        },
        set: function (a) {
            this.jc = a;
            this.g("DataToolTipLabelTextFontFamily");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipLabelTextFontSize", {
        get: function () {
            return this.c3;
        },
        set: function (a) {
            this.c3 = a;
            this.g("DataToolTipLabelTextFontSize");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipLabelTextFontStyle", {
        get: function () {
            return this.jd;
        },
        set: function (a) {
            this.jd = a;
            this.g("DataToolTipLabelTextFontStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataToolTipLabelTextFontWeight", {
        get: function () {
            return this.je;
        },
        set: function (a) {
            this.je = a;
            this.g("DataToolTipLabelTextFontWeight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "sortDescriptions", {
        get: function () {
            return this.ae;
        },
        set: function (a) {
            this.ae = a;
            this.g("SortDescriptions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "groupSortDescriptions", {
        get: function () {
            return this.u;
        },
        set: function (a) {
            this.u = a;
            this.g("GroupSortDescriptions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "groupDescriptions", {
        get: function () {
            return this.t;
        },
        set: function (a) {
            this.t = a;
            this.g("GroupDescriptions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "filterExpressions", {
        get: function () {
            return this.s;
        },
        set: function (a) {
            this.s = a;
            this.g("FilterExpressions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "summaryDescriptions", {
        get: function () {
            return this.af;
        },
        set: function (a) {
            this.af = a;
            this.g("SummaryDescriptions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "initialSortDescriptions", {
        get: function () {
            return this.y;
        },
        set: function (a) {
            this.y = a;
            this.g("InitialSortDescriptions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "initialGroupSortDescriptions", {
        get: function () {
            return this.x;
        },
        set: function (a) {
            this.x = a;
            this.g("InitialGroupSortDescriptions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "initialGroupDescriptions", {
        get: function () {
            return this.w;
        },
        set: function (a) {
            this.w = a;
            this.g("InitialGroupDescriptions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "initialSummaryDescriptions", {
        get: function () {
            return this.z;
        },
        set: function (a) {
            this.z = a;
            this.g("InitialSummaryDescriptions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "initialSorts", {
        get: function () {
            return this.ks;
        },
        set: function (a) {
            this.ks = a;
            this.g("InitialSorts");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "groupSorts", {
        get: function () {
            return this.kk;
        },
        set: function (a) {
            this.kk = a;
            this.g("GroupSorts");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "initialGroups", {
        get: function () {
            return this.kr;
        },
        set: function (a) {
            this.kr = a;
            this.g("InitialGroups");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "initialSummaries", {
        get: function () {
            return this.kt;
        },
        set: function (a) {
            this.kt = a;
            this.g("InitialSummaries");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataSourceRef", {
        get: function () {
            return this.iw;
        },
        set: function (a) {
            this.iw = a;
            this.g("DataSourceRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "dataSource", {
        get: function () {
            return this.bb;
        },
        set: function (a) {
            this.bb = a;
            this.g("DataSource");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "includedProperties", {
        get: function () {
            return this.v;
        },
        set: function (a) {
            this.v = a;
            this.g("IncludedProperties");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "excludedProperties", {
        get: function () {
            return this.r;
        },
        set: function (a) {
            this.r = a;
            this.g("ExcludedProperties");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "brushes", {
        get: function () {
            return this.j;
        },
        set: function (a) {
            this.j = a;
            this.g("Brushes");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "outlines", {
        get: function () {
            return this.ad;
        },
        set: function (a) {
            this.ad = a;
            this.g("Outlines");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "actualBrushes", {
        get: function () {
            return this.h;
        },
        set: function (a) {
            this.h = a;
            this.g("ActualBrushes");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "actualOutlines", {
        get: function () {
            return this.i;
        },
        set: function (a) {
            this.i = a;
            this.g("ActualOutlines");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "legendRef", {
        get: function () {
            return this.kx;
        },
        set: function (a) {
            this.kx = a;
            this.g("LegendRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "isHorizontalZoomEnabled", {
        get: function () {
            return this.bs;
        },
        set: function (a) {
            this.bs = a;
            this.g("IsHorizontalZoomEnabled");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "isVerticalZoomEnabled", {
        get: function () {
            return this.bu;
        },
        set: function (a) {
            this.bu = a;
            this.g("IsVerticalZoomEnabled");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "shouldDisplayMockData", {
        get: function () {
            return this.bw;
        },
        set: function (a) {
            this.bw = a;
            this.g("ShouldDisplayMockData");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "shouldUseSkeletonStyleForMockData", {
        get: function () {
            return this.by;
        },
        set: function (a) {
            this.by = a;
            this.g("ShouldUseSkeletonStyleForMockData");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "isSeriesHighlightingEnabled", {
        get: function () {
            return this.bt;
        },
        set: function (a) {
            this.bt = a;
            this.g("IsSeriesHighlightingEnabled");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "windowRect", {
        get: function () {
            return this.bd;
        },
        set: function (a) {
            this.bd = a;
            this.g("WindowRect");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "chartTitle", {
        get: function () {
            return this.im;
        },
        set: function (a) {
            this.im = a;
            this.g("ChartTitle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "subtitle", {
        get: function () {
            return this.lb;
        },
        set: function (a) {
            this.lb = a;
            this.g("Subtitle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "titleAlignment", {
        get: function () {
            return this.lf;
        },
        set: function (a) {
            this.lf = a;
            this.g("TitleAlignment");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "subtitleAlignment", {
        get: function () {
            return this.lc;
        },
        set: function (a) {
            this.lc = a;
            this.g("SubtitleAlignment");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "unknownValuePlotting", {
        get: function () {
            return this.ll;
        },
        set: function (a) {
            this.ll = a;
            this.g("UnknownValuePlotting");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "resolution", {
        get: function () {
            return this.el;
        },
        set: function (a) {
            this.el = a;
            this.g("Resolution");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "thickness", {
        get: function () {
            return this.er;
        },
        set: function (a) {
            this.er = a;
            this.g("Thickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "outlineMode", {
        get: function () {
            return this.k1;
        },
        set: function (a) {
            this.k1 = a;
            this.g("OutlineMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "markerOutlineMode", {
        get: function () {
            return this.k0;
        },
        set: function (a) {
            this.k0 = a;
            this.g("MarkerOutlineMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "markerFillMode", {
        get: function () {
            return this.kz;
        },
        set: function (a) {
            this.kz = a;
            this.g("MarkerFillMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "markerFillOpacity", {
        get: function () {
            return this.ee;
        },
        set: function (a) {
            this.ee = a;
            this.g("MarkerFillOpacity");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "markerThickness", {
        get: function () {
            return this.ef;
        },
        set: function (a) {
            this.ef = a;
            this.g("MarkerThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "markerTypes", {
        get: function () {
            return this.ac;
        },
        set: function (a) {
            this.ac = a;
            this.g("MarkerTypes");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "markerAutomaticBehavior", {
        get: function () {
            return this.ky;
        },
        set: function (a) {
            this.ky = a;
            this.g("MarkerAutomaticBehavior");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "markerBrushes", {
        get: function () {
            return this.aa;
        },
        set: function (a) {
            this.aa = a;
            this.g("MarkerBrushes");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "markerOutlines", {
        get: function () {
            return this.ab;
        },
        set: function (a) {
            this.ab = a;
            this.g("MarkerOutlines");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "markerMaxCount", {
        get: function () {
            return this.h3;
        },
        set: function (a) {
            this.h3 = a;
            this.g("MarkerMaxCount");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "areaFillOpacity", {
        get: function () {
            return this.cl;
        },
        set: function (a) {
            this.cl = a;
            this.g("AreaFillOpacity");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "animateSeriesWhenAxisRangeChanges", {
        get: function () {
            return this.bg;
        },
        set: function (a) {
            this.bg = a;
            this.g("AnimateSeriesWhenAxisRangeChanges");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "trendLineBrushes", {
        get: function () {
            return this.ag;
        },
        set: function (a) {
            this.ag = a;
            this.g("TrendLineBrushes");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "trendLineType", {
        get: function () {
            return this.lk;
        },
        set: function (a) {
            this.lk = a;
            this.g("TrendLineType");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "trendLineThickness", {
        get: function () {
            return this.ex;
        },
        set: function (a) {
            this.ex = a;
            this.g("TrendLineThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "alignsGridLinesToPixels", {
        get: function () {
            return this.bf;
        },
        set: function (a) {
            this.bf = a;
            this.g("AlignsGridLinesToPixels");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "plotAreaMarginLeft", {
        get: function () {
            return this.ei;
        },
        set: function (a) {
            this.ei = a;
            this.g("PlotAreaMarginLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "plotAreaMarginTop", {
        get: function () {
            return this.ek;
        },
        set: function (a) {
            this.ek = a;
            this.g("PlotAreaMarginTop");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "plotAreaMarginRight", {
        get: function () {
            return this.ej;
        },
        set: function (a) {
            this.ej = a;
            this.g("PlotAreaMarginRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "plotAreaMarginBottom", {
        get: function () {
            return this.eh;
        },
        set: function (a) {
            this.eh = a;
            this.g("PlotAreaMarginBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "computedPlotAreaMarginMode", {
        get: function () {
            return this.io;
        },
        set: function (a) {
            this.io = a;
            this.g("ComputedPlotAreaMarginMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "seriesPlotAreaMarginHorizontalMode", {
        get: function () {
            return this.k3;
        },
        set: function (a) {
            this.k3 = a;
            this.g("SeriesPlotAreaMarginHorizontalMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "seriesPlotAreaMarginVerticalMode", {
        get: function () {
            return this.k4;
        },
        set: function (a) {
            this.k4 = a;
            this.g("SeriesPlotAreaMarginVerticalMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "highlightingMode", {
        get: function () {
            return this.km;
        },
        set: function (a) {
            this.km = a;
            this.g("HighlightingMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "highlightingBehavior", {
        get: function () {
            return this.kl;
        },
        set: function (a) {
            this.kl = a;
            this.g("HighlightingBehavior");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "legendHighlightingMode", {
        get: function () {
            return this.ku;
        },
        set: function (a) {
            this.ku = a;
            this.g("LegendHighlightingMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "legendItemBadgeShape", {
        get: function () {
            return this.kw;
        },
        set: function (a) {
            this.kw = a;
            this.g("LegendItemBadgeShape");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "legendItemBadgeMode", {
        get: function () {
            return this.kv;
        },
        set: function (a) {
            this.kv = a;
            this.g("LegendItemBadgeMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "trendLinePeriod", {
        get: function () {
            return this.h5;
        },
        set: function (a) {
            this.h5 = a;
            this.g("TrendLinePeriod");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "toolTipType", {
        get: function () {
            return this.li;
        },
        set: function (a) {
            this.li = a;
            this.g("ToolTipType");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "crosshairsDisplayMode", {
        get: function () {
            return this.it;
        },
        set: function (a) {
            this.it = a;
            this.g("CrosshairsDisplayMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "crosshairsSnapToData", {
        get: function () {
            return this.bk;
        },
        set: function (a) {
            this.bk = a;
            this.g("CrosshairsSnapToData");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "crosshairsLineVerticalStroke", {
        get: function () {
            return this.iv;
        },
        set: function (a) {
            this.iv = a;
            this.g("CrosshairsLineVerticalStroke");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "crosshairsLineThickness", {
        get: function () {
            return this.cn;
        },
        set: function (a) {
            this.cn = a;
            this.g("CrosshairsLineThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "crosshairsLineHorizontalStroke", {
        get: function () {
            return this.iu;
        },
        set: function (a) {
            this.iu = a;
            this.g("CrosshairsLineHorizontalStroke");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "crosshairsAnnotationEnabled", {
        get: function () {
            return this.bj;
        },
        set: function (a) {
            this.bj = a;
            this.g("CrosshairsAnnotationEnabled");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "crosshairsAnnotationXAxisBackground", {
        get: function () {
            return this.ip;
        },
        set: function (a) {
            this.ip = a;
            this.g("CrosshairsAnnotationXAxisBackground");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "crosshairsAnnotationYAxisBackground", {
        get: function () {
            return this.ir;
        },
        set: function (a) {
            this.ir = a;
            this.g("CrosshairsAnnotationYAxisBackground");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "crosshairsAnnotationXAxisTextColor", {
        get: function () {
            return this.iq;
        },
        set: function (a) {
            this.iq = a;
            this.g("CrosshairsAnnotationXAxisTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "crosshairsAnnotationYAxisTextColor", {
        get: function () {
            return this.is;
        },
        set: function (a) {
            this.is = a;
            this.g("CrosshairsAnnotationYAxisTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "crosshairsAnnotationXAxisPrecision", {
        get: function () {
            return this.hy;
        },
        set: function (a) {
            this.hy = a;
            this.g("CrosshairsAnnotationXAxisPrecision");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "crosshairsAnnotationYAxisPrecision", {
        get: function () {
            return this.hz;
        },
        set: function (a) {
            this.hz = a;
            this.g("CrosshairsAnnotationYAxisPrecision");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "shouldAvoidAxisAnnotationCollisions", {
        get: function () {
            return this.bv;
        },
        set: function (a) {
            this.bv = a;
            this.g("ShouldAvoidAxisAnnotationCollisions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "shouldPanOnMaximumZoom", {
        get: function () {
            return this.bx;
        },
        set: function (a) {
            this.bx = a;
            this.g("ShouldPanOnMaximumZoom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "finalValueAnnotationsVisible", {
        get: function () {
            return this.bq;
        },
        set: function (a) {
            this.bq = a;
            this.g("FinalValueAnnotationsVisible");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "finalValueAnnotationsBackground", {
        get: function () {
            return this.ki;
        },
        set: function (a) {
            this.ki = a;
            this.g("FinalValueAnnotationsBackground");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "finalValueAnnotationsTextColor", {
        get: function () {
            return this.kj;
        },
        set: function (a) {
            this.kj = a;
            this.g("FinalValueAnnotationsTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "finalValueAnnotationsPrecision", {
        get: function () {
            return this.h2;
        },
        set: function (a) {
            this.h2 = a;
            this.g("FinalValueAnnotationsPrecision");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "calloutsVisible", {
        get: function () {
            return this.bi;
        },
        set: function (a) {
            this.bi = a;
            this.g("CalloutsVisible");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "calloutStyleUpdatingEventEnabled", {
        get: function () {
            return this.bh;
        },
        set: function (a) {
            this.bh = a;
            this.g("CalloutStyleUpdatingEventEnabled");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "calloutsDataSourceRef", {
        get: function () {
            return this.ih;
        },
        set: function (a) {
            this.ih = a;
            this.g("CalloutsDataSourceRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "calloutsAllowedPositions", {
        get: function () {
            return this.k;
        },
        set: function (a) {
            this.k = a;
            this.g("CalloutsAllowedPositions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "calloutsXMemberPath", {
        get: function () {
            return this.ik;
        },
        set: function (a) {
            this.ik = a;
            this.g("CalloutsXMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "calloutsYMemberPath", {
        get: function () {
            return this.il;
        },
        set: function (a) {
            this.il = a;
            this.g("CalloutsYMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "calloutsLabelMemberPath", {
        get: function () {
            return this.ii;
        },
        set: function (a) {
            this.ii = a;
            this.g("CalloutsLabelMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "calloutsContentMemberPath", {
        get: function () {
            return this.ig;
        },
        set: function (a) {
            this.ig = a;
            this.g("CalloutsContentMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "valueLines", {
        get: function () {
            return this.ah;
        },
        set: function (a) {
            this.ah = a;
            this.g("ValueLines");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "valueLinesBrushes", {
        get: function () {
            return this.ai;
        },
        set: function (a) {
            this.ai = a;
            this.g("ValueLinesBrushes");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "valueLinesThickness", {
        get: function () {
            return this.ey;
        },
        set: function (a) {
            this.ey = a;
            this.g("ValueLinesThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "horizontalViewScrollbarMode", {
        get: function () {
            return this.ko;
        },
        set: function (a) {
            this.ko = a;
            this.g("HorizontalViewScrollbarMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "verticalViewScrollbarMode", {
        get: function () {
            return this.ln;
        },
        set: function (a) {
            this.ln = a;
            this.g("VerticalViewScrollbarMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "horizontalViewScrollbarPosition", {
        get: function () {
            return this.kq;
        },
        set: function (a) {
            this.kq = a;
            this.g("HorizontalViewScrollbarPosition");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "verticalViewScrollbarPosition", {
        get: function () {
            return this.lp;
        },
        set: function (a) {
            this.lp = a;
            this.g("VerticalViewScrollbarPosition");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "horizontalViewScrollbarFill", {
        get: function () {
            return this.kn;
        },
        set: function (a) {
            this.kn = a;
            this.g("HorizontalViewScrollbarFill");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "horizontalViewScrollbarOutline", {
        get: function () {
            return this.kp;
        },
        set: function (a) {
            this.kp = a;
            this.g("HorizontalViewScrollbarOutline");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "horizontalViewScrollbarStrokeThickness", {
        get: function () {
            return this.ea;
        },
        set: function (a) {
            this.ea = a;
            this.g("HorizontalViewScrollbarStrokeThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "horizontalViewScrollbarMaxOpacity", {
        get: function () {
            return this.d9;
        },
        set: function (a) {
            this.d9 = a;
            this.g("HorizontalViewScrollbarMaxOpacity");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "horizontalViewScrollbarCornerRadius", {
        get: function () {
            return this.d6;
        },
        set: function (a) {
            this.d6 = a;
            this.g("HorizontalViewScrollbarCornerRadius");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "horizontalViewScrollbarHeight", {
        get: function () {
            return this.d7;
        },
        set: function (a) {
            this.d7 = a;
            this.g("HorizontalViewScrollbarHeight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "horizontalViewScrollbarInset", {
        get: function () {
            return this.d8;
        },
        set: function (a) {
            this.d8 = a;
            this.g("HorizontalViewScrollbarInset");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "horizontalViewScrollbarTrackStartInset", {
        get: function () {
            return this.ec;
        },
        set: function (a) {
            this.ec = a;
            this.g("HorizontalViewScrollbarTrackStartInset");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "horizontalViewScrollbarTrackEndInset", {
        get: function () {
            return this.eb;
        },
        set: function (a) {
            this.eb = a;
            this.g("HorizontalViewScrollbarTrackEndInset");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "horizontalViewScrollbarShouldAddAutoTrackInsets", {
        get: function () {
            return this.br;
        },
        set: function (a) {
            this.br = a;
            this.g("HorizontalViewScrollbarShouldAddAutoTrackInsets");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "verticalViewScrollbarFill", {
        get: function () {
            return this.lm;
        },
        set: function (a) {
            this.lm = a;
            this.g("VerticalViewScrollbarFill");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "verticalViewScrollbarOutline", {
        get: function () {
            return this.lo;
        },
        set: function (a) {
            this.lo = a;
            this.g("VerticalViewScrollbarOutline");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "verticalViewScrollbarStrokeThickness", {
        get: function () {
            return this.e2;
        },
        set: function (a) {
            this.e2 = a;
            this.g("VerticalViewScrollbarStrokeThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "verticalViewScrollbarMaxOpacity", {
        get: function () {
            return this.e1;
        },
        set: function (a) {
            this.e1 = a;
            this.g("VerticalViewScrollbarMaxOpacity");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "verticalViewScrollbarCornerRadius", {
        get: function () {
            return this.ez;
        },
        set: function (a) {
            this.ez = a;
            this.g("VerticalViewScrollbarCornerRadius");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "verticalViewScrollbarWidth", {
        get: function () {
            return this.e5;
        },
        set: function (a) {
            this.e5 = a;
            this.g("VerticalViewScrollbarWidth");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "verticalViewScrollbarInset", {
        get: function () {
            return this.e0;
        },
        set: function (a) {
            this.e0 = a;
            this.g("VerticalViewScrollbarInset");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "verticalViewScrollbarTrackStartInset", {
        get: function () {
            return this.e4;
        },
        set: function (a) {
            this.e4 = a;
            this.g("VerticalViewScrollbarTrackStartInset");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "verticalViewScrollbarTrackEndInset", {
        get: function () {
            return this.e3;
        },
        set: function (a) {
            this.e3 = a;
            this.g("VerticalViewScrollbarTrackEndInset");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "verticalViewScrollbarShouldAddAutoTrackInsets", {
        get: function () {
            return this.bz;
        },
        set: function (a) {
            this.bz = a;
            this.g("VerticalViewScrollbarShouldAddAutoTrackInsets");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "windowRectMinWidth", {
        get: function () {
            return this.e7;
        },
        set: function (a) {
            this.e7 = a;
            this.g("WindowRectMinWidth");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "windowRectMinHeight", {
        get: function () {
            return this.e6;
        },
        set: function (a) {
            this.e6 = a;
            this.g("WindowRectMinHeight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "windowSizeMinWidth", {
        get: function () {
            return this.e9;
        },
        set: function (a) {
            this.e9 = a;
            this.g("WindowSizeMinWidth");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "windowSizeMinHeight", {
        get: function () {
            return this.e8;
        },
        set: function (a) {
            this.e8 = a;
            this.g("WindowSizeMinHeight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "seriesAddedRef", {
        get: function () {
            return this.k2;
        },
        set: function (a) {
            this.k2 = a;
            this.g("SeriesAddedRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "seriesRemovedRef", {
        get: function () {
            return this.la;
        },
        set: function (a) {
            this.la = a;
            this.g("SeriesRemovedRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "seriesPointerEnterRef", {
        get: function () {
            return this.k6;
        },
        set: function (a) {
            this.k6 = a;
            this.g("SeriesPointerEnterRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "seriesPointerLeaveRef", {
        get: function () {
            return this.k7;
        },
        set: function (a) {
            this.k7 = a;
            this.g("SeriesPointerLeaveRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "seriesPointerMoveRef", {
        get: function () {
            return this.k8;
        },
        set: function (a) {
            this.k8 = a;
            this.g("SeriesPointerMoveRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "seriesPointerDownRef", {
        get: function () {
            return this.k5;
        },
        set: function (a) {
            this.k5 = a;
            this.g("SeriesPointerDownRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "seriesPointerUpRef", {
        get: function () {
            return this.k9;
        },
        set: function (a) {
            this.k9 = a;
            this.g("SeriesPointerUpRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "calloutStyleUpdatingRef", {
        get: function () {
            return this.ij;
        },
        set: function (a) {
            this.ij = a;
            this.g("CalloutStyleUpdatingRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DomainChartDescription.prototype, "calloutRenderStyleUpdatingRef", {
        get: function () {
            return this.ie;
        },
        set: function (a) {
            this.ie = a;
            this.g("CalloutRenderStyleUpdatingRef");
        },
        enumerable: false,
        configurable: true
    });
    DomainChartDescription.$t = markType(DomainChartDescription, 'DomainChartDescription', Description.$);
    return DomainChartDescription;
}(Description));
export { DomainChartDescription };
